Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jdesktop.swingx.event
Enum DateSelectionEvent.EventType

    java.lang.Object
      java.lang.Enum<DateSelectionEvent.EventType>
          org.jdesktop.swingx.event.DateSelectionEvent.EventType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<DateSelectionEvent.EventType>

Enclosing class:
  DateSelectionEvent

    public static enum DateSelectionEvent.EventType

extends java.lang.Enum<DateSelectionEvent.EventType>

Enum Constant Summary
`ADJUSTING_STARTED`
`ADJUSTING_STOPPED`
`CALENDAR_CHANGED`
`DATES_ADDED`
`DATES_REMOVED`
`DATES_SET`
`LOWER_BOUND_CHANGED`
`SELECTABLE_DATES_CHANGED`
`SELECTABLE_RANGE_CHANGED`
`SELECTION_CLEARED`
`UNSELECTED_DATES_CHANGED`
`UPPER_BOUND_CHANGED`

Method Summary
`static DateSelectionEvent.EventType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static DateSelectionEvent.EventType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### DATES_ADDED

    public static final DateSelectionEvent.EventType DATES_ADDED

### DATES_REMOVED

    public static final DateSelectionEvent.EventType DATES_REMOVED

### DATES_SET

    public static final DateSelectionEvent.EventType DATES_SET

### SELECTION_CLEARED

    public static final DateSelectionEvent.EventType SELECTION_CLEARED

### SELECTABLE_DATES_CHANGED

    public static final DateSelectionEvent.EventType SELECTABLE_DATES_CHANGED

### SELECTABLE_RANGE_CHANGED

    public static final DateSelectionEvent.EventType SELECTABLE_RANGE_CHANGED

### UNSELECTED_DATES_CHANGED

    public static final DateSelectionEvent.EventType UNSELECTED_DATES_CHANGED

### LOWER_BOUND_CHANGED

    public static final DateSelectionEvent.EventType LOWER_BOUND_CHANGED

### UPPER_BOUND_CHANGED

    public static final DateSelectionEvent.EventType UPPER_BOUND_CHANGED

### ADJUSTING_STARTED

    public static final DateSelectionEvent.EventType ADJUSTING_STARTED

### ADJUSTING_STOPPED

    public static final DateSelectionEvent.EventType ADJUSTING_STOPPED

### CALENDAR_CHANGED

    public static final DateSelectionEvent.EventType CALENDAR_CHANGED

Method Detail

### values

    public static DateSelectionEvent.EventType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (DateSelectionEvent.EventType c : DateSelectionEvent.EventType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static DateSelectionEvent.EventType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010. All Rights Reserved.